#include "renderer/backend_api.h"

#include "device.hpp"

void Dx11RegisterCVARs(void) {
}

rt_result Dx11Init(const rt_renderer_init_info *info) {
    rt_result res = rt_dx11_device::GetInstance()->Initialize(info);
    if (res != RT_SUCCESS)
        return res;
    return res;
}

void Dx11Shutdown(void) {
    rt_dx11_device::GetInstance()->Shutdown();
}

// Called by the application to retrieve the renderer api
extern "C" RT_DLLEXPORT rt_render_backend_api rtLoadRenderBackendImpl(void) {
    rt_render_backend_api api = {
        .RegisterCVARs = Dx11RegisterCVARs,
        .Init          = Dx11Init,
        .Shutdown      = Dx11Shutdown,
    };
    return api;
}
